Templatesigc::bind_functor<-1, T_functor, T_type1, T_type2 > struct Reference

Main Page Groups Namespaces

# sigc::bind_functor<-1, T_functor, T_type1, T_type2 > Struct Template Reference
[bind()]

Adaptor that binds 2 argument(s) to the wrapped functor. More...

Inheritance diagram for sigc::bind_functor<-1, T_functor, T_type1, T_type2 >:

[legend]
List of all members.

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
## Public Member Functions
result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
template <class T_arg1> deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1> deduce_result_type< T_arg1 >::type | sun_forte_workaround (T_arg1 _A_arg1)
template <class T_arg1, class T_arg2> deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2> deduce_result_type< T_arg1, T_arg2 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2)
template <class T_arg1, class T_arg2, class T_arg3> deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3> deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| bind_functor (typename type_trait<T_functor>::take _A_func, typename type_trait<T_type1>::take _A_bound1, typename type_trait<T_type2>::take _A_bound2)
| Constructs a bind_functor object that binds an argument to the passed functor.
## Public Attributes
T_type1 | bound1_
| The argument bound to the functor.
T_type2 | bound2_

## Detailed Description

### template <class T_functor, class T_type1, class T_type2>
struct sigc::bind_functor<-1, T_functor, T_type1, T_type2 >

Adaptor that binds 2 argument(s) to the wrapped functor.

This template specialization fixes the last 2 argument(s) of the wrapped functor.

## Member Typedef Documentation

template <class T_functor, class T_type1, class T_type2>
typedef adapts<T_functor>::adaptor_type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::adaptor_type

| Reimplemented from sigc::adapts<T_functor>.

template <class T_functor, class T_type1, class T_type2>
typedef adaptor_type::result_type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor, class T_type1, class T_type2>
sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::bind_functor | ( | typename type_trait<T_functor>::take | _A_func,
|  | typename type_trait<T_type1>::take | _A_bound1,
|  | typename type_trait<T_type2>::take | _A_bound2
| ) | `[inline]`

  | Constructs a bind_functor object that binds an argument to the passed functor. Parameters:
  _A_functor | Functor to invoke from operator()().
  _A_bound | Argument to bind to the functor.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5
| ) | `[inline]`

  | Invokes the wrapped functor passing on the arguments. The last 2 argument(s) are fixed. Parameters:
  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4
| ) | `[inline]`

  | Invokes the wrapped functor passing on the arguments. The last 2 argument(s) are fixed. Parameters:
  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3>
deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3
| ) | `[inline]`

  | Invokes the wrapped functor passing on the arguments. The last 2 argument(s) are fixed. Parameters:
  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2>
deduce_result_type<T_arg1,T_arg2>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2
| ) | `[inline]`

  | Invokes the wrapped functor passing on the arguments. The last 2 argument(s) are fixed. Parameters:
  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_arg1 | ) | `[inline]`

  | Invokes the wrapped functor passing on the arguments. The last 2 argument(s) are fixed. Parameters:
  _A_arg1 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
bind_functor<-1, T_functor, T_type1, T_type2 >::result_type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::operator() | ( |  | ) |

| Invokes the wrapped functor passing on the bound argument only. Returns: The return value of the functor invocation.

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3>
deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1, class T_arg2>
deduce_result_type<T_arg1,T_arg2>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2
| ) | `[inline]`

template <class T_functor, class T_type1, class T_type2>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::sun_forte_workaround | ( | T_arg1 | _A_arg1 | ) | `[inline]`

## Member Data Documentation

template <class T_functor, class T_type1, class T_type2>
T_type1 sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::bound1_

| The argument bound to the functor.

template <class T_functor, class T_type1, class T_type2>
T_type2 sigc::bind_functor<-1, T_functor, T_type1, T_type2 >::bound2_

The documentation for this struct was generated from the following file:

- adaptors/bind.h